#include <ESP8266WiFi.h>
#include <Wire.h>
#include <SSD1306Wire.h>
#include <DHT.h>

// Initialize OLED display (address, SDA, SCL)
SSD1306Wire display(0x3c, SDA, SCL);

// Initialize DHT sensors
DHT dht1(D6, DHT11);
DHT dht2(D7, DHT11);

void setup() {
  Serial.begin(115200);

  // Initialize DHT sensors
  dht1.begin();
  dht2.begin();

  // Initialize OLED display
  display.init();
  display.flipScreenVertically();  
  // Display "Welcome" message
 display.clear();
    display.setFont(ArialMT_Plain_24);
    display.setTextAlignment(TEXT_ALIGN_CENTER);
    display.drawString(64, 15, "Welcome");    
    display.display();
  delay(1500);

   display.clear();
    display.setFont(ArialMT_Plain_24);
    display.setTextAlignment(TEXT_ALIGN_CENTER);
    display.drawString(64, 15, "Made By");    
    display.display();
  delay(1500);

  display.clear();
    display.setFont(ArialMT_Plain_24);
    display.setTextAlignment(TEXT_ALIGN_CENTER);
    display.drawString(64, 4, "Inventors");
    display.drawString(64, 34, "Den");
    display.display();
  delay(3000);

  // Set a larger font for temperature readings
  display.setFont(ArialMT_Plain_24);
}

void loop() {
  // Read temperatures
  float temp1 = dht1.readTemperature();
  float temp2 = dht2.readTemperature();

  // Clear the display
  display.clear();

  // Display temperature readings
  display.drawString(64, 8, "M: " + String(temp2, 1) + " C");
  display.drawString(64, 38, "V: " + String(temp1, 1) + " C");

  // Show the display
  display.display();

  delay(250); // Update every 2 seconds
}
